Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface PluginManagement

All Known Implementing Classes:
  PluginManagementImpl

      public interface PluginManagement

To manage the whole plugin and set or get some plugin-scope properties

Method Summary
`void` | `disposePlugin()` To dispose the plugin to release the resource and stop some jobs, call it after finish using the plugin
`void` | `freeThreadConnection()` To release database connection object that plugin threads used
`oracle.ovs.daemon.DaemonManager` | `getDaemonManager()` To return the DaemonManager instance of this plugin for further control upon the internal daemons
`void` | `pareparePlugin()` Deprecated. To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin
`void` | `preparePlugin()` To prepare this plugin, some essential works are being done inside this function, call it firstly when use the plugin
`void` | `preparePlugin(boolean autoStartDaemons)` To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin
`void` | `setThreadConnection(java.sql.Connection conn)` To set database connection object for the plugin threads

Method Detail

### preparePlugin

    void preparePlugin()

  To prepare this plugin, some essential works are being done inside this function, call it firstly when use the plugin

### preparePlugin

    void preparePlugin(boolean autoStartDaemons)

  To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin
  Parameters:
    `autoStartDaemons` - whether start the internal service daemons in this function

### pareparePlugin

    void pareparePlugin()

  Deprecated. To prepare this plugin, some essential works are being done inside this function, call it firstly when use this plugin

### disposePlugin

    void disposePlugin()

  To dispose the plugin to release the resource and stop some jobs, call it after finish using the plugin

### setThreadConnection

    void setThreadConnection(java.sql.Connection conn)

  To set database connection object for the plugin threads
  Parameters:
    `conn` - the database connection for the plugin to use

### freeThreadConnection

    void freeThreadConnection()

  To release database connection object that plugin threads used

### getDaemonManager

    oracle.ovs.daemon.DaemonManager getDaemonManager()

  To return the DaemonManager instance of this plugin for further control upon the internal daemons

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.